#include <iostream>
#include "STLClass.h"
#include "TROOT.h"
#include "TClassTable.h"
#include "TFile.h"
#include "TTree.h"



void WriteSTL() {
  TFile tf("STLTest.root","recreate");
  TTree MyTree("STLTest","STL Test");

  STLClass *MyClass = new STLClass();
  MyTree.Branch("STL_branch","STLClass",&MyClass);
  for (int j=0;j<5;++j) {
    for (int i=0;i<10;++i) {
      MyClass->AddInt(i,i*j);
    }
    cout << "filling" << endl;
    MyTree.Fill();
    cout << "filled" << endl;
  }
  cout << "writing" << endl;
  tf.Write();
  tf.Close();
}
  
  
